package agilpizza;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class MontaPedidoTest extends SeleniumTestCase {

	@Test
	public void testAdicionaPizzaTradicional() throws Exception {
		sel.open(CONTEXTO + "/montaPedido.jsp");

		sel.click("link=Pizzas Tradicionais");
		sel.waitForPageToLoad("30000");
		sel.type("QuatroQueijos", "5");
		sel.type("Portuguesa", "3");
		sel.click("//a[contains(text(),'Colocar\nno Baú do Motoboy')]");
		sel.waitForPageToLoad("30000");

		assertTrue(sel.isTextPresent("QuatroQueijos"));
		assertTrue(sel.isTextPresent("Portuguesa"));
		assertTrue(sel.isTextPresent("5"));
		assertTrue(sel.isTextPresent("3"));
	}

	@Test
	public void testAdicionaBebiba() throws Exception {
		sel.open(CONTEXTO + "/montaPedido.jsp");

		sel.click("link=Bebidas");
		sel.waitForPageToLoad("30000");
		sel.type("SanguedeBoi", "5");
		sel.type("CocaCola", "9");
		sel.click("//input[@value='Incluir']");
		sel.click("link=Ver Pedido");
		sel.waitForPageToLoad("30000");

		assertTrue(sel.isTextPresent("Sangue de Boi"));
		assertTrue(sel.isTextPresent("Coca Cola"));

		assertTrue(sel.isTextPresent("5"));
		assertTrue(sel.isTextPresent("9"));
	}

	@Test
	public void testAdicionaPizzaMontada() throws Exception {
		sel.open(CONTEXTO);
		sel.click("link=Monte sua Pizza");
		sel.waitForPageToLoad("30000");

		sel.click("//input[@value='Presunto']");
		sel.click("//input[@value='Frango']");
		sel.click("//input[@value='Ovo']");

		sel.click("//input[@value='Montar a pizza!']");
		sel.waitForPageToLoad("30000");
		sel.click("link=Ver Pedido");
		sel.waitForPageToLoad("30000");
		assertTrue(sel.isTextPresent("Ovo, Frango, Presunto"));
	}

}
